'use strict';

const fetch = require('node-fetch');
const XMLParser = require('xml-parser');

const url = 'https://time.gov/actualtime.cgi';

async function getInternetTime() {
  let xml;
  try {
    xml = await (await fetch(url)).text();
  } catch(e) {
    if(e.code === 'ENOTFOUND') {
      throw new Error(`"${url}" is currently unavailable`);
    } else {
      throw e;
    }
  }

  const obj = XMLParser(xml);
  return obj.root.attributes.time/1000;
}

module.exports = getInternetTime;
